MIX_FramesToMS(3)

NAME
MIX_FramesToMS - Convert sample frames, at a specific sample rate, to milliseconds.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

Sint64 MIX_FramesToMS(int sample_rate, Sint64 frames);

DESCRIPTION
Sample frames are more precise than milliseconds, so out of necessity, this function will approximate by rounding down to the closest full millisecond.

If sample_rate is <= 0, this returns -1. If frames is < 0, this returns -1.

FUNCTION PARAMETERS

sample_rate
    the sample rate to use for conversion.

frames
    the rate-specific sample frames to convert to milliseconds.

RETURN VALUE
Returns Converted number of milliseconds, or -1 for errors; call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_MSToFrames(3)